Simulations
POST /v1/queue-http-text-simulation-run
Run an HTTP text simulation.
POST /v1/queue-http-text-simulation-run
curl --request POST \
--url https://api.getbluejay.ai/v1/queue-http-text-simulation-runimport requests
url = "https://api.getbluejay.ai/v1/queue-http-text-simulation-run"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.getbluejay.ai/v1/queue-http-text-simulation-run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getbluejay.ai/v1/queue-http-text-simulation-run",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getbluejay.ai/v1/queue-http-text-simulation-run"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.getbluejay.ai/v1/queue-http-text-simulation-run")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getbluejay.ai/v1/queue-http-text-simulation-run")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_bodyStarts a text run for an HTTP agent and returns
simulation_run_id and simulation_result_ids.
- Queue the run with this endpoint.
- Receive each Digital Human message at the webhook in the agent settings.
- Send each agent reply with Send HTTP Text Message.
digital_human_ids, all Digital Humans in the simulation run. knowledge_base_id is ignored. prompt_id is deprecated. Use agent_version_id.
Headers
Request body
Response
Status codes
| Status | Meaning |
|---|---|
200 | Successful Response |
422 | Validation Error |
Example request
curl --request POST \
--url https://api.getbluejay.ai/v1/queue-http-text-simulation-run \
--header 'X-API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"simulation_id": "<string>",
"prompt_id": "<string>",
"agent_version_id": "<string>",
"knowledge_base_id": "<string>",
"digital_human_ids": [
"<string>"
],
"runs_per_digital_human": 123
}'
Example response
200
{
"simulation_run_id": "<string>",
"simulation_result_ids": [
"<string>"
],
"agent_id": "<string>",
"status": "success"
}
Last modified on October 21, 2026
⌘I
POST /v1/queue-http-text-simulation-run
curl --request POST \
--url https://api.getbluejay.ai/v1/queue-http-text-simulation-runimport requests
url = "https://api.getbluejay.ai/v1/queue-http-text-simulation-run"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.getbluejay.ai/v1/queue-http-text-simulation-run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getbluejay.ai/v1/queue-http-text-simulation-run",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getbluejay.ai/v1/queue-http-text-simulation-run"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.getbluejay.ai/v1/queue-http-text-simulation-run")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getbluejay.ai/v1/queue-http-text-simulation-run")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body